- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoConvertPopToObjectiveVectors< MOEOT, ObjectiveVector > Class Template Reference

Functor allowing to get a vector of objective vectors from a population. More...

`#include <moeoConvertPopToObjectiveVectors.h>`

Inheritance diagram for moeoConvertPopToObjectiveVectors< MOEOT, ObjectiveVector >:

List of all members.

## Public Member Functions
const std::vector< ObjectiveVector > | operator() (const eoPop< MOEOT > _pop)
| Returns a vector of the objective vectors from the population _pop.

## Detailed Description

### template<class MOEOT, class ObjectiveVector = typename MOEOT::ObjectiveVector>
class moeoConvertPopToObjectiveVectors< MOEOT, ObjectiveVector >

Functor allowing to get a vector of objective vectors from a population.

Definition at line 22 of file moeoConvertPopToObjectiveVectors.h.

## Member Function Documentation

template<class MOEOT, class ObjectiveVector = typename MOEOT::ObjectiveVector>

const std::vector< ObjectiveVector > moeoConvertPopToObjectiveVectors< MOEOT, ObjectiveVector >::operator() | ( | const eoPop< MOEOT > | _pop | ) | `[inline]`

Returns a vector of the objective vectors from the population _pop.

Parameters:

  | _pop | the population

Definition at line 30 of file moeoConvertPopToObjectiveVectors.h.

The documentation for this class was generated from the following file:

- moeoConvertPopToObjectiveVectors.h